uniform sampler2D tex;
void base(void) {
	gl_FragColor = texture2D(tex, gl_TexCoord[0].st);
}

// Appended to the end of all GLSL files
float posterize(float val, int levels) {
	int posterized = int(val * levels + 0.5);
	val = float(posterized) / levels;

	return val;
}

void clamp(void) {
	gl_FragColor.r = posterize(gl_FragColor.r, 1);
	gl_FragColor.g = posterize(gl_FragColor.g, 3);
	gl_FragColor.b = posterize(gl_FragColor.b, 2);
	gl_FragColor.a = posterize(gl_FragColor.a, 7);
}

void main(void) {
	base();
}